@charset "UTF-8";
.load {
  width: 100vw;
  height: 100vh;
  background: #fff;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 999;
  display: flex;
  justify-content: center;
  align-items: center;
}
.load img {
  animation-name: animation-load;
  animation-duration: 1s;
  animation-iteration-count: infinite;
  animation-timing-function: ease-in-out;
  width: 56px;
  height: 56px;
}
@keyframes animation-load {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.right-menu {
  position: fixed;
  top: 102px;
  right: 0;
  width: 98px;
  z-index: 99;
}
@media (max-width: 640px) {
  .right-menu {
    display: none;
  }
}
.right-menu .right-menu-container {
  background: #fff;
  font-size: 14px;
  border-radius: 0 0 8px 8px;
  transition: all 0.5s;
}
.right-menu .right-menu-container .menu-title {
  background: #0090eb;
  padding: 12px 1px;
  border-bottom: 1px solid #e5e5e5;
}
.right-menu .right-menu-container .menu-title p {
  text-align: center;
  line-height: 1.5;
  color: #fff;
  font-size: 14px;
  font-weight: 700;
}
.right-menu .right-menu-container ul {
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  background: #e5e5e5;
  gap: 1px;
}
.right-menu .right-menu-container ul li {
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  padding: 5px 4px;
  text-align: center;
  color: #646464;
  background: #fff;
}
.right-menu .right-menu-container ul li:hover {
  background: #0090eb;
  color: #fff;
}
.right-menu .right-menu-container .menu-foot {
  border-top: 1px solid #e5e5e5;
  background: #ffefef;
  width: 100%;
  text-align: center;
  padding: 15px 10px;
}
.right-menu .right-menu-container .menu-foot a {
  display: block;
  color: #2b2b2b;
}
.right-menu .right-menu-container .menu-top-btn {
  border-top: 1px solid #e5e5e5;
  cursor: pointer;
  display: flex;
  justify-content: center;
}
.right-menu .right-menu-close {
  transform: translateX(100%);
}
.right-menu .right-menu-btn {
  cursor: pointer;
  margin-top: 10px;
  display: flex;
  justify-content: right;
  pointer-events: auto;
  height: 36px;
}
.right-menu .right-menu-btn .right-menu-btn-icon {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 50%;
  height: 100%;
  color: #fff;
}
.right-menu .right-menu-btn .right-menu-btn-icon img {
  position: absolute;
}
.right-menu .right-menu-btn .right-menu-btn-icon .menu-arrow {
  z-index: 99;
  font-size: 20px;
}
.right-menu .right-menu-btn-close {
  transform: rotate(180deg);
}

.grade-Nav {
  padding: 32px 32px 0;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #f2f2f2;
}
@media (max-width: 640px) {
  .grade-Nav {
    position: sticky;
    top: 40px;
    left: 0;
    z-index: 97;
    padding: 16px 16px 0;
  }
}
.grade-Nav .grade-default {
  display: flex;
  align-items: center;
  width: 100%;
  max-width: 1240px;
  row-gap: 16px;
  flex-wrap: wrap;
}
@media (max-width: 640px) {
  .grade-Nav .grade-default {
    gap: 8px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    white-space: nowrap;
    overflow: scroll;
  }
  .grade-Nav .grade-default .myborder:nth-child(3n)::before {
    width: 0px;
  }
  .grade-Nav .grade-default .myborder:last-child::before {
    content: "";
    width: 0;
  }
}
.grade-Nav .grade-default li {
  cursor: pointer;
  position: relative;
  display: flex;
  height: 40px;
  min-width: 100px;
  padding: 0px 12px;
  justify-content: center;
  align-items: center;
  color: #0090eb;
  text-align: center;
  font-size: 18px;
  font-style: normal;
  font-weight: 500;
  line-height: 27px;
  border-radius: 4px;
}
@media (max-width: 992px) {
  .grade-Nav .grade-default li {
    font-size: 16px;
  }
}
@media (max-width: 640px) {
  .grade-Nav .grade-default li {
    color: #2b2b2b;
    height: 33px;
    font-size: 13px;
    line-height: 21px;
  }
}
.grade-Nav .grade-default .myborder {
  margin-right: 32px;
}
@media (max-width: 640px) {
  .grade-Nav .grade-default .myborder {
    margin-right: 0px;
  }
}
.grade-Nav .grade-default .myborder:hover {
  background: #d9effc !important;
}
.grade-Nav .grade-default .myborder.activate {
  background: #0090eb !important;
  color: #fff !important;
}
.grade-Nav .grade-default .myborder:first-child {
  margin-left: 0px;
}
.grade-Nav .grade-default .myborder:last-child::before {
  content: "";
  width: 0;
}
.grade-Nav .grade-default .myborder::before {
  content: " ";
  width: 1px;
  height: 20px;
  background: #646464;
  display: inline-block;
  position: absolute;
  right: -16px;
}
@media (max-width: 640px) {
  .grade-Nav .grade-default .myborder::before {
    right: -4px;
  }
}

.grade {
  background: #f2f2f2;
}
.grade ul {
  margin: 0 auto;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}
.grade ul li {
  cursor: pointer;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 500;
  height: 40px;
  min-width: 100px;
  padding: 0px 12px;
  text-align: center;
  font-size: 18px;
  line-height: 27px;
  border-radius: 4px;
}
@media (max-width: 992px) {
  .grade ul li {
    font-size: 16px;
  }
}
.grade ul .grade-border {
  margin-right: 32px;
}
@media (max-width: 640px) {
  .grade ul .grade-border {
    margin-right: 0px;
  }
}
.grade ul .grade-border:hover {
  background: #d9effc !important;
}
.grade ul .grade-border.activate {
  background: #0090eb !important;
  color: #fff !important;
}
.grade ul .grade-border:first-child {
  margin-left: 0px;
}
.grade ul .grade-border:last-child::before {
  content: "";
  width: 0;
}
.grade ul .grade-border::before {
  content: " ";
  width: 1px;
  height: 20px;
  background: #646464;
  display: inline-block;
  position: absolute;
  right: -16px;
}
@media (max-width: 640px) {
  .grade ul .grade-border::before {
    right: -4px;
  }
}

.grade-Nav-Pc {
  padding: 32px 32px 0;
}
@media (max-width: 640px) {
  .grade-Nav-Pc {
    display: none;
  }
}
.grade-Nav-Pc ul {
  max-width: 1240px;
  row-gap: 16px;
}
.grade-Nav-Pc ul li {
  color: #0090eb;
}

.grade-Nav-Mo {
  display: none;
  padding: 16px 16px 0;
}
@media (max-width: 640px) {
  .grade-Nav-Mo {
    display: block;
  }
}
.grade-Nav-Mo ul {
  gap: 8px;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  white-space: nowrap;
  overflow: scroll;
}
.grade-Nav-Mo ul li {
  color: #2b2b2b;
  height: 33px;
  font-size: 13px;
  line-height: 21px;
}
.grade-Nav-Mo ul li:nth-child(3n)::before {
  width: 0px;
}
.grade-Nav-Mo ul li:last-child::before {
  content: "";
  width: 0;
}

.grade-Nav-float {
  position: sticky;
  z-index: 97;
  top: 40px;
  left: 0;
  padding: 8px 0 8px 16px;
  box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.15);
}
.grade-Nav-float ul {
  display: flex;
  flex-wrap: nowrap;
  white-space: nowrap;
  overflow: scroll;
}
.grade-Nav-float ul li {
  min-width: auto !important;
}
.grade-Nav-float ul li:nth-child(3n)::before {
  width: 1px !important;
}
.grade-Nav-float ul li:last-child::before {
  content: "";
  width: 0 !important;
}

.grade-nav-init-posisiton {
  background: #f2f2f2;
}

.float-item {
  position: fixed;
  display: flex;
  justify-content: center;
  bottom: 0;
  right: 0;
  z-index: 98;
}
.float-item img {
  width: 215px;
  height: 123px;
}
@media (max-width: 640px) {
  .float-item {
    display: none;
  }
}

.listOpen {
  transform: rotate(180deg) translate(1.2px, 0);
}

/* Nav 區塊-Star */
.nav-Pc {
  position: sticky;
  z-index: 98;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  width: 100%;
  background: #fff;
}
@media (max-width: 992px) {
  .nav-Pc {
    padding: 0 32px;
  }
}
@media (max-width: 640px) {
  .nav-Pc {
    display: none;
  }
}
.nav-Pc .nav-Pc-container {
  width: 100%;
  height: 65px;
  max-width: 1440px;
}
@media (max-width: 992px) {
  .nav-Pc .nav-Pc-container {
    max-width: 1240px;
  }
}
.nav-Pc .nav-Pc-container ul {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.nav-Pc .nav-Pc-container ul .nav-btn-pc {
  cursor: pointer;
  font-size: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  color: #2b2b2b;
  font-weight: 500;
  transition: all 0.2s;
  line-height: 30px;
  padding: 5px 0;
}
.nav-Pc .nav-Pc-container ul .nav-btn-pc br {
  display: none;
}
@media (max-width: 985px) {
  .nav-Pc .nav-Pc-container ul .nav-btn-pc br {
    display: block;
  }
}
@media (max-width: 992px) {
  .nav-Pc .nav-Pc-container ul .nav-btn-pc {
    font-size: 18px;
  }
}
.nav-Pc .nav-Pc-container ul .navClickPc {
  color: #ea1717;
  border-bottom: #ea1717 4px solid;
}

.nav-Mo {
  display: none;
  justify-content: center;
  align-items: end;
  position: fixed;
  z-index: 99;
  top: 0;
  left: 0;
  width: 100%;
  height: 40px;
  background: #ea1717;
  transition: height 0.5s;
  overflow: hidden;
}
@media (max-width: 640px) {
  .nav-Mo {
    display: block;
  }
}
.nav-Mo .nav-Mo-container {
  height: 100%;
  padding: 0px 8px 0 16px;
}
.nav-Mo .nav-Mo-container .nva-Mo-wrap {
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.nav-Mo .nav-Mo-container .nva-Mo-wrap .nav-Mo-default {
  width: 100%;
  height: 100%;
  display: flex;
  flex-wrap: nowrap;
  justify-content: center;
  gap: 22px;
  white-space: nowrap;
  overflow-x: scroll;
}
.nav-Mo .nav-Mo-container .nva-Mo-wrap .nav-Mo-default::-webkit-scrollbar {
  display: none; /* 隱藏滾動條 */
}
.nav-Mo .nav-Mo-container .nva-Mo-wrap .nav-Mo-default li {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  font-size: 15px;
  color: #fff;
  transition: all 0.2s;
  font-weight: 400;
}
.nav-Mo .nav-Mo-container .nva-Mo-wrap .nav-Mo-default li br {
  display: none;
}
.nav-Mo .nav-Mo-container .nva-Mo-wrap .nav-Mo-default .navClickMo {
  color: #fff;
  border-bottom: #fff 2px solid;
}
.nav-Mo .nav-Mo-container .nva-Mo-wrap .nav-Mo-title {
  width: 100%;
  font-size: 16px;
  transform: translateY(2px);
  font-weight: 500;
  line-height: 24px;
}
.nav-Mo .nav-Mo-container .nva-Mo-wrap .nav-Mo-btn {
  display: flex;
  justify-content: end;
  align-items: center;
  color: #fff;
  font-size: 20px;
  height: 40px;
  padding: 0 8px 0;
}
.nav-Mo .nav-Mo-container .nav-Mo-content-Open {
  width: 100%;
  padding: 12px 16px;
}
.nav-Mo .nav-Mo-container .nav-Mo-content-Open ul {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
}
.nav-Mo .nav-Mo-container .nav-Mo-content-Open ul .nav-btn-mo-Open {
  text-align: center;
  height: 33px;
  padding: 5px;
  border-radius: 4px;
  background: #f2f2f2;
  font-size: 14px;
}

.nav-Mo-Open {
  background: #fff;
  height: 97px;
}

.navClickMo-Open {
  color: #ea1717 !important;
  background: none !important;
}

.navContain-Open {
  padding: 0 !important;
}

.navMoWrap {
  height: 40px;
  padding: 0px 8px 0 16px;
  border-bottom: 1px solid #e5e5e5;
}

.navClickMoOpen {
  color: #fff !important;
  background: #0090eb !important;
}

/* Nav 區塊-Fin */
/* Menu-Mo-bottom-區塊-Star */
.Menu-Mo-bottom {
  display: none;
  position: fixed;
  align-items: end;
  z-index: 99;
  bottom: 0;
  width: 100%;
  height: 77px;
}
@media (max-width: 640px) {
  .Menu-Mo-bottom {
    display: flex;
  }
}
.Menu-Mo-bottom .Menu-Mo-Conatiner {
  position: relative;
  display: flex;
  width: 100%;
  height: 54px;
  background: #ea1717;
  box-shadow: 0 -5px 10px 0 rgba(0, 0, 0, 0.3);
}
.Menu-Mo-bottom .Menu-Mo-Conatiner .col-1 {
  width: 60%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.Menu-Mo-bottom .Menu-Mo-Conatiner .col-1 .col-1-content {
  color: #fff;
  font-size: 18px;
  text-align: center;
  line-height: 30px;
  width: 100%;
  height: 30px;
  border-right: 2px solid rgba(255, 255, 255, 0.5);
}
.Menu-Mo-bottom .Menu-Mo-Conatiner .col-1 .col-1-content i {
  margin-left: 10px;
}
.Menu-Mo-bottom .Menu-Mo-Conatiner .col-2 {
  width: 40%;
}
.Menu-Mo-bottom .Menu-Mo-Conatiner .col-2 img {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 40%;
  max-width: 220px;
}

.bank-summary {
  position: fixed;
  bottom: 0;
  left: 0;
  z-index: 99;
  width: 100%;
  border-radius: 10px 10px 0 0;
  background: #fff;
}
.bank-summary .bank-summary-title {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 20px;
  width: 100%;
  height: 55px;
  color: #2b2b2b;
  font-size: 18px;
  font-weight: 500;
  border-bottom: 1px solid #e5e5e5;
}
.bank-summary .bank-summary-title .CloseBtn {
  font-weight: 500;
  color: #969696;
}
.bank-summary .bank-summary-content {
  margin-top: 20px;
  padding: 0px 32px 10px;
  width: 100%;
  max-height: 80vh;
  overflow-y: scroll;
}
.bank-summary .bank-summary-content ul {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  column-gap: 15px;
  row-gap: 16px;
}
.bank-summary .bank-summary-content ul li {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 66px;
  height: 91px;
}
.bank-summary .bank-summary-content ul li .bank-icon {
  height: 66px;
  width: 66px;
  border-radius: 8px;
  border: 1px solid #e5e5e5;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
}
.bank-summary .bank-summary-content ul li .bank-icon .imgbox {
  width: 100%;
  height: 100%;
}
.bank-summary .bank-summary-content ul li .bank-icon .imgbox img {
  max-width: 100%;
}
.bank-summary .bank-summary-content ul li p {
  color: #2b2b2b;
  text-align: center;
  margin-top: 4px;
  font-size: 14px;
  font-weight: 500;
  line-height: 21px;
}

.bankSummary-tr-enter-active,
.bankSummary-tr-leave-active {
  transition: all 0.4s;
}

.bankSummary-tr-enter-from,
.bankSummary-tr-leave-to {
  transform: translateY(100%);
}

.bankSummary-tr-enter-to,
.bankSummary-tr-leave-from {
  transform: translateY(0);
}

/* Menu-Mo-bottom-區塊-Fin */
/* 手機版回到頂端按鈕區塊-Star */
.top-btn-mo {
  position: fixed;
  z-index: 98;
  right: 12px;
  bottom: 108px;
  height: 40px;
  width: 40px;
  border-radius: 50%;
  background: rgba(43, 43, 43, 0.5019607843);
  display: none;
  justify-content: center;
  align-items: center;
  color: #fff;
}
@media (max-width: 640px) {
  .top-btn-mo {
    display: flex;
  }
}

/* 手機版回到頂端按鈕區塊-Fin */